Subject: [Sigtran] Sigtran interworking issue between multivendor node

From: gitam changkakoti <[email-masked]>
Date: Mon, 25 Jul 2016 16:57:54 +0000

> 
> Dear All,
> 
> Greetings .... This mail is intended to seek suggestion on Sigtran connectivity between multivendor node.
> 
> We are trying to connect open MGW to an AOIP BSC. Both belongs to different vendors. Fluctuation of M3Ua SUA observed at BSC end post   Connectivity. 
> 
> As per MGW vendor BSC is not supposed to send SUA management messages to MGW( DAUD) which is causing MGW to send DUNA to BSC inturn causing fluctuations @ BSc end for mgw cluster SPC.
> 
> Please be informed, there is no fluctuation @ association level. Kindly suggest and share the actual guidelines . What should happen as per Rfc.
> 
> Regards
> Gitam
> +919706818836
> 
> 
> 
> Sent from my iPhone

---

From: Pradeep4 Kumar <[email-masked]>
Date: Tue, 26 Jul 2016 04:50:50 +0000

Hi Gitam,

I am assuming that the open MGW and AOIP BSC are connection over the IPSP communication type. Correct if I am wrong?

IPSP is point to point communication so DAUD is not expected message on IPSP communication mode.

So the receiving end point must drop the DAUD message and also this end point can optionally send back Management Error  message with error as "Unexpected Message".

Same can be inferred from section "3.8.1" from rfc4666 as below:

Off course the more experienced experts can comment and put more light on this topic and correct me if needed.

+++++++++++++++++++++++++++++++++++
The "Unexpected Message" error MAY be sent if a defined and
   recognized message is received that is not expected in the current
   state (in some cases, the ASP may optionally silently discard the
   message and not send an Error message).
+++++++++++++++++++++++++++++++++++++++++++

Best Regards,
Pradeep Kumar
 "The world needs HQ (Humanity quotient) more than IQ."

-----Original Message-----
From: gitam changkakoti [mailto:[email-masked]]
Sent: Monday, July 25, 2016 10:28 PM
To: [email-masked]
Subject: [Sigtran] Sigtran interworking issue between multivendor node

> Please be informed, there is no fluctuation @ association level. Kindly suggest and share the actual guidelines . What should happen as per Rfc.

"DISCLAIMER: This message is proprietary to Aricent and is intended solely for the use of the individual to whom it is addressed. It may contain privileged or confidential information and should not be circulated or used for any purpose other than for what it is intended. If you have received this message in error, please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly prohibited from using, copying, altering, or disclosing the contents of this message. Aricent accepts no responsibility for loss or damage arising from the use of the information transmitted by this email including damage from virus."

---

From: gitam changkakoti <[email-masked]>
Date: Tue, 26 Jul 2016 09:04:59 +0000

Thanks Pradeep for the support. The below changes were made and issue resolved.
1. BSC configured in IPSP mode.
2. Routing context advertisements stopped at MGw end. 

Sent from my iPhone

> On 26-Jul-2016, at 10:21, Pradeep4 Kumar <[email-masked]> wrote:
> 
> Hi Gitam,
>

---

From: David Laight <[email-masked]>
Date: Tue, 26 Jul 2016 09:36:17 +0000

From: Pradeep4 Kumar
> So the receiving end point must drop the DAUD message and also this end point can optionally send back
> Management Error  message with error as "Unexpected Message".
...

Although M3UA almost always carries the MTP3 service interface over SCTP at least
one major manufacturer has a configuration option where M3UA IPSP links seems to
be used to pass messages between MTP3 systems.

Configured that way it requires the IPSP system to answer DAUD (for its own pointcode)
and to not error DAVA and DUNA.

If you look at section 1.5.3 the M3UA connection appears to be an IPSP one between
the ASP on the right and SCCP in the middle.
However there is also a direct link shown between the MTP3 and M3UA.
It isn't clear to me which messages would use that link, but it might
be the justification (or documentation!) of this unusual mode.

	David

---

From: Pradeep4 Kumar <[email-masked]>
Date: Tue, 26 Jul 2016 10:37:15 +0000

Hi David,

Thanks for additional info. I had also some more observations as:

Point 1.
">>> Although M3UA almost always carries the MTP3 service interface over SCTP at least one major manufacturer has a configuration option where M3UA IPSP links seems to be used to pass messages between MTP3 systems.
Configured that way it requires the IPSP system to answer DAUD (for its own pointcode) and to not error DAVA and DUNA.
"
In standard systems as per RFC4666, ASP end or IPSP  end does not expect to receive DUAD messages see section from RFC as :

"3.4.3.  Destination State Audit (DAUD)

   The DAUD message MAY be sent from the ASP to the SGP to audit the
   availability/congestion state of SS7 routes from the SG to one or
   more affected destinations
"

However it is always possible to customize the implementation to provide support of SSNM messages over IPSP interface.

2.
"If you look at section 1.5.3 the M3UA connection appears to be an IPSP one between the ASP on the right and SCCP in the middle.
However there is also a direct link shown between the MTP3 and M3UA."

Please let us know which RFC version you are referring in above statement for section 1.5.3.    As I check the RFC4666 section 1.5.3, there is no mention of IPSP there in that model.

Best Regards,
Pradeep Kumar

-----Original Message-----
From: David Laight [mailto:[email-masked]]
Sent: Tuesday, July 26, 2016 3:06 PM
To: Pradeep4 Kumar <[email-masked]>; gitam changkakoti <[email-masked]>; [email-masked]
Subject: RE: [Sigtran] Sigtran interworking issue between multivendor node

From: Pradeep4 Kumar
> I am assuming that the open MGW and AOIP BSC are connection over the
> IPSP communication type. Correct if I am wrong?
>
> So the receiving end point must drop the DAUD message and also this
> end point can optionally send back Management Error  message with error as "Unexpected Message".
...

Although M3UA almost always carries the MTP3 service interface over SCTP at least one major manufacturer has a configuration option where M3UA IPSP links seems to be used to pass messages between MTP3 systems.

Configured that way it requires the IPSP system to answer DAUD (for its own pointcode) and to not error DAVA and DUNA.

If you look at section 1.5.3 the M3UA connection appears to be an IPSP one between the ASP on the right and SCCP in the middle.
However there is also a direct link shown between the MTP3 and M3UA.
It isn't clear to me which messages would use that link, but it might be the justification (or documentation!) of this unusual mode.

David

---

From: David Laight <[email-masked]>
Date: Tue, 26 Jul 2016 10:39:27 +0000

You need to correctly quote the text - I can't see what you written.

> From: Pradeep4 Kumar [mailto:[email-masked]]
> Sent: 26 July 2016 11:37
> To: David Laight; gitam changkakoti; [email-masked]
> ">>> Although M3UA almost always carries the MTP3 service interface over SCTP at least one major
> manufacturer has a configuration option where M3UA IPSP links seems to be used to pass messages
> between MTP3 systems.
> Please let us know which RFC version you are referring in above statement for section 1.5.3.    As I
> check the RFC4666 section 1.5.3, there is no mention of IPSP there in that model.
> 
> 
> Best Regards,
> Pradeep Kumar
> Although M3UA almost always carries the MTP3 service interface over SCTP at least one major
> manufacturer has a configuration option where M3UA IPSP links seems to be used to pass messages
> between MTP3 systems.
> 
> "DISCLAIMER: This message is proprietary to Aricent and is intended solely for the use of the
> individual to whom it is addressed. It may contain privileged or confidential information and should
> not be circulated or used for any purpose other than for what it is intended. If you have received
> this message in error, please notify the originator immediately. If you are not the intended
> recipient, you are notified that you are strictly prohibited from using, copying, altering, or
> disclosing the contents of this message. Aricent accepts no responsibility for loss or damage arising
> from the use of the information transmitted by this email including damage from virus."

---

From: gitam changkakoti <[email-masked]>
Date: Mon, 25 Jul 2016 09:44:48 +0000

Dear All,

Regards
Gitam
+919706818836

Sent from my iPhone